// JavaScript Document
;(function() {
    tinymce.PluginManager.add('beeteam368_video_playlist', function(editor, url) {
		editor.addButton('beeteam368_video_playlist', {
			text: '',
			tooltip: 'BeeTeam368 Video Advertising Playlist',
			id: 'beeteam368_video_playlist',
			icon: 'icon-beeteam368-video-playlist',
			onclick: function() {
				// Open window
				editor.windowManager.open({
					title: 'BeeTeam368 Video Advertising Playlist',
					body: [
						{	type: 	'listbox', 
							name: 	'themeopt',
							label: 	'Theme Options', 
									'values': [
										{text: 'Light Version', value: ''},
										{text: 'Dark Version', value: 'left'},
									]
						},
						{	type: 	'listbox', 
							name: 	'autoplay',
							label: 	'Autoplay', 
									'values': [
										{text: 'No', value: ''},
										{text: 'Yes', value: '1'},
									]
						},
						{	type: 	'listbox', 
							name: 	'repeat',
							label: 	'Loop', 
									'values': [
										{text: 'No', value: ''},
										{text: 'Yes', value: '1'},
									]
						},
						{	type: 	'listbox', 
							name: 	'volume',
							label: 	'Volume', 
									'values': [
										{text: '100', value: '100'},
										{text: '5', value: '5'},
										{text: '10', value: '10'},
										{text: '15', value: '15'},
										{text: '20', value: '20'},
										{text: '25', value: '25'},
										{text: '30', value: '30'},
										{text: '35', value: '35'},
										{text: '40', value: '40'},
										{text: '45', value: '45'},
										{text: '50', value: '50'},
										{text: '55', value: '55'},
										{text: '60', value: '60'},
										{text: '65', value: '65'},
										{text: '70', value: '70'},
										{text: '75', value: '75'},
										{text: '80', value: '80'},
										{text: '85', value: '85'},
										{text: '90', value: '90'},
										{text: '95', value: '95'},										
									]
						},
						{type: 'textbox', name: 'numberofvideoitems', label: 'Number of Video Item', value: '6'},
					],
					onsubmit: function(e) {
						//var content = tinymce.activeEditor.selection.getContent() ? tinymce.activeEditor.selection.getContent() : e.data.content;						
						var shortcode = '[beevideoplayerlisting';
						
							if(e.data.themeopt!='') {
								shortcode +=	' themeopt="'+e.data.themeopt+'"';
							};
							
							if(e.data.autoplay!='') {
								shortcode +=	' autoplay="'+e.data.autoplay+'"';
							};
							
							if(e.data.repeat!='') {
								shortcode +=	' repeat="'+e.data.repeat+'"';
							};
							
							shortcode +=	' volume="'+e.data.volume+'"';
							shortcode += ']<br class="bee-remove-now" /><br class="bee-remove-now" />';
							
							for(var i=0; i<e.data.numberofvideoitems; i++){
								shortcode += '[beevideoplayerrow videourl="" adstype="" videoadsurl="" picadsurl="" goocapubx="" gooadsid="" adstimestart="" adstimerestart="" adsurl="" extclass=""][/beevideoplayerrow]';
								shortcode += '<br class="bee-remove-now" /><br class="bee-remove-now" />';
							};
							
							shortcode += '[/beevideoplayerlisting]';							
						editor.insertContent(shortcode);
					}
				});
			}
		});
	});
})();